Name:             lorax-templates-rocky
Version:          9.0
Release:          37%{?dist}.0.1
Summary:          Rocky Linux 9 build templates for lorax and livemedia-creator

License:          GPLv2+
URL:              https://github.com/weldr/lorax
BuildArch:        noarch
Source0:          lorax-templates-rhel-9.0-37.tar.gz

Patch1:           0001-remove-redhat-release-eula-and-libreport-rhel.patch

# Required for the template branding support
Requires:         lorax >= 34.9.1
Provides:         lorax-templates-rhel = %{version}-%{release}
Obsoletes:        lorax-templates-rhel < %{version}-%{release}

# Where are these supposed to end up?
%define templatedir %{_datadir}/lorax/templates.d/80-rocky

%description
EL-specific Lorax templates for creating the boot.iso and live isos are
placed in %{templatedir}

%prep
%setup -n lorax-templates-rhel-%{version}
%patch -P 1 -p1

%build
# nothing to build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{templatedir}
cp -a 80-rhel/* $RPM_BUILD_ROOT/%{templatedir}

%files
%dir %{templatedir}
%{templatedir}/*

%changelog
* Tue Jan 23 2024 Louis Abel <label@resf.org> - 9.0-37.0.1
- Initial build of lorax-templates-rocky, based on rhel
